Summary: Linux UMTS/GPRS command-line tool
Name: comgt
Version: 0.32
Release: 2%{?dist}
URL: http://sourceforge.net/projects/comgt
Group: Applications/Internet
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}.%{version}.tgz
Patch0: %{name}-rpm.patch
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
Option GlobeTrotter GPRS/EDGE/3G/HSDPA and Vodafone 3G/GPRS datacard
control tool.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1 -b .r
find . -type f | xargs chmod 644

%build
%{__make} OPTFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc scripts/README CHANGELOG gpl.txt gprs.txt umts.txt
%dir /etc/%{name}
%config /etc/%{name}/*
%{_bindir}/%{name}
%{_mandir}/man1/*.1*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.32-2
- Autorebuild for GCC 4.3

* Wed Jun 27 2007 Dominik Mierzejewski <rpm@greysector.net> 0.32-1
- initial build
